# GET /yield-vault

Returns the yield vault information for the given yield vault.

`GET https://api.aevo.xyz/yield-vault`

## Example Request

```bash
curl --request GET \
     --url https://api.aevo.xyz/yield-vault \
     --header 'accept: application/json'
```

## Responses

**`200`** — Yield vault information.

| Field                 | Type    | Required | Description                                                                 |
| --------------------- | ------- | -------- | --------------------------------------------------------------------------- |
| `aum`                 | string  | Yes      | AUM of a strategy Example: `12`                                             |
| `aum_liquid`          | string  | Yes      | Liquid AUM of a strategy Example: `12`                                      |
| `cap`                 | string  | Yes      | Capacity of a strategy Example: `12`                                        |
| `pps`                 | string  | Yes      | Price per share of a yield vault or strategy Example: `1.04`                |
| `apy`                 | string  | Yes      | Annualized Percentage Return of a yield vault or strategy Example: `12`     |
| `pending_withdrawals` | string  | Yes      | Pending withdrawals for a yield vault or strategy Example: `12`             |
| `is_paused`           | boolean | Yes      | Pause status of a yield vault or strategy Example: `false` Example: `False` |

**`400`** — Bad request.

| Field   | Type   | Required | Description                                     |
| ------- | ------ | -------- | ----------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `ERR_MALFORMED_REQUEST` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aevo.xyz/api-reference/urls/public-api/getyieldvault.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
